Subject: Re: bug#71295: 29.3; url-retrieve-synchronously does not timeout if initial connection hangs

From: Dmitry Gutov <[email-masked]>
Date: Thu, 6 Jun 2024 23:41:39 +0300

On 06/06/2024 14:40, Eli Zaretskii wrote:
>> This is probably rather naive of me, but I guess now I'm wondering why url-retrieve-synchronously actually sets url-asynchronous to nil.  Is there a good reason not to use :nowait when it is available?  It seems like it would be useful to have a wrapper around url-retrieve that just "does what I mean" here.
> Maybe.  I wonder what others think about this.

It seems like a leaky abstraction (the caller has to be aware that what 
happens under the covers is done in several steps, and the timeout only 
applies to subsequent ones).

If we could change the implementation to a more intuitive behavior, that 
would be a win, I think. Can somebody think of adverse effects?